// File generated by FlutterFire CLI.
// ignore_for_file: type=lint
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        return windows;
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCO9N8SNWeUP1MNCBb4is8Z1JFw7JPSBgU',
    appId: '1:531681901934:web:83f21c96000821f72fd57f',
    messagingSenderId: '531681901934',
    projectId: 'rm-health-app',
    authDomain: 'rm-health-app.firebaseapp.com',
    storageBucket: 'rm-health-app.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyB6CDYVLbr4jYSw5Ync36DVRRiqjZQS7dg',
    appId: '1:531681901934:android:a040839a07b5e1d12fd57f',
    messagingSenderId: '531681901934',
    projectId: 'rm-health-app',
    storageBucket: 'rm-health-app.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyC67Kc25I1j9ER_woMFVEENw0foq3KdTpE',
    appId: '1:531681901934:ios:1efebc26a3851eb92fd57f',
    messagingSenderId: '531681901934',
    projectId: 'rm-health-app',
    storageBucket: 'rm-health-app.appspot.com',
    iosBundleId: 'com.example.rydemiHealthCare',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyC67Kc25I1j9ER_woMFVEENw0foq3KdTpE',
    appId: '1:531681901934:ios:1efebc26a3851eb92fd57f',
    messagingSenderId: '531681901934',
    projectId: 'rm-health-app',
    storageBucket: 'rm-health-app.appspot.com',
    iosBundleId: 'com.example.rydemiHealthCare',
  );

  static const FirebaseOptions windows = FirebaseOptions(
    apiKey: 'AIzaSyCO9N8SNWeUP1MNCBb4is8Z1JFw7JPSBgU',
    appId: '1:531681901934:web:e17f67126c2caf0e2fd57f',
    messagingSenderId: '531681901934',
    projectId: 'rm-health-app',
    authDomain: 'rm-health-app.firebaseapp.com',
    storageBucket: 'rm-health-app.appspot.com',
  );
}
